Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.uicli.jui
Class JUFormattedTextFieldDef.MaskFormatDef

`java.lang.Object
oracle.jbo.common.NamedObjectImpl
oracle.jbo.mom.DefinitionObject
oracle.adf.model.binding.DCDefBase
oracle.jbo.uicli.jui.JUFormattedTextFieldDef.MaskFormatDef`

Enclosing class:
  JUFormattedTextFieldDef

public static class JUFormattedTextFieldDef.MaskFormatDef
extends DCDefBase

Field Summary
`static java.lang.String` | `ELEMENT_NAME`
`static java.lang.String` | `PNAME_FormatString`
`static java.lang.String` | `PNAME_SocSecNumberSelected`
`static java.lang.String` | `PNAME_USPhoneNumberSelected`

Fields inherited from class oracle.adf.model.binding.DCDefBase
`DEF_XMLNS, DEF_XMLNS_BASE, PNAME_AccessorIterator, PNAME_Action, PNAME_Boolean, PNAME_Button, PNAME_ButtonGroup, PNAME_ComboBox, PNAME_DataControlAction, PNAME_DefaultControl, PNAME_DynamicTable, PNAME_EnumList, PNAME_FormattedTextField, PNAME_Graph, PNAME_HGrid, PNAME_Iterator, PNAME_Label, PNAME_ListSingleSel, PNAME_LovButton, PNAME_LOVList, PNAME_MethodAction, PNAME_MethodIterator, PNAME_NavigationBar, PNAME_NavigationList, PNAME_Panel, PNAME_Parameter, PNAME_ProgressBar, PNAME_ProgressBarAttr, PNAME_Range, PNAME_ScrollBar, PNAME_ScrollBarAttr, PNAME_Slider, PNAME_SliderAttr, PNAME_Spinner, PNAME_Table, PNAME_TextField, PNAME_ToplinkIterator, PNAME_Tree`

Fields inherited from class oracle.jbo.mom.DefinitionObject
`mBaseDefObject, mExtendedDefObjects, mObjectResolved`

Fields inherited from class oracle.jbo.common.NamedObjectImpl
`mFullName, mObjName, mParent, mProperties`

Constructor Summary
`JUFormattedTextFieldDef.MaskFormatDef()`

Method Summary
`java.lang.String` | `getFormatString()`
`java.lang.String` | `getXMLElementTag()`
`void` | `init(java.util.HashMap initValues)`
`boolean` | `isCustomFormatStringSelected()`
`boolean` | `isSocSecurityNumberSelected()`
`boolean` | `isUSPhoneNumberSelected()`
`protected void` | `retrieveFromXML(oracle.jbo.mom.xml.DefElement xmlElement, java.util.HashMap valueTab)`
`void` | `setFormatString(java.lang.String fmtString)`
`void` | `setSocSecurityNumberSelected(boolean b)`
`void` | `setUSPhoneNumberSelected(boolean b)`

Methods inherited from class oracle.adf.model.binding.DCDefBase
`convertToBoolean, convertToInt, convertToIntArray, createAndLoadFromXML, getDefClassName, getSubType, initSubType, isDirty, isNew, loadChildrenFromXML, loadFromXML, readXMLBoolean, readXMLInt, readXMLString, readXMLStringArray, readXMLStringArrayList, readXMLStringArrayList, setDefClassName, setDirty, setNew, setSubType`

Methods inherited from class oracle.jbo.mom.DefinitionObject
`addExtendedDefObject, finishedLoading, getBaseDefObject, getContainerDef, getContainerName, getExtendedDefObjects, hasExtendedDefObjects, isBaseDefFor, isDynamicDefinitionObject, isObjectResolved, loadProperties, resolveReferences, setBaseDefObject, setName, setObjectResolved, setParent`

Methods inherited from class oracle.jbo.common.NamedObjectImpl
`getFullName, getName, getParent, getProperties, getPropertiesAsStrings, getPropertiesMap, getProperty, refreshProperty, setFullName, setPropertiesMap, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### PNAME_FormatString

    public static final java.lang.String PNAME_FormatString

  See Also:
    Constant Field Values

### PNAME_USPhoneNumberSelected

    public static final java.lang.String PNAME_USPhoneNumberSelected

  See Also:
    Constant Field Values

### PNAME_SocSecNumberSelected

    public static final java.lang.String PNAME_SocSecNumberSelected

  See Also:
    Constant Field Values

### ELEMENT_NAME

    public static final java.lang.String ELEMENT_NAME

  See Also:
    Constant Field Values

Constructor Detail

### JUFormattedTextFieldDef.MaskFormatDef

    public JUFormattedTextFieldDef.MaskFormatDef()

Method Detail

### getFormatString

    public java.lang.String getFormatString()

### setFormatString

    public void setFormatString(java.lang.String fmtString)

### isSocSecurityNumberSelected

    public boolean isSocSecurityNumberSelected()

### setSocSecurityNumberSelected

    public void setSocSecurityNumberSelected(boolean b)

### isUSPhoneNumberSelected

    public boolean isUSPhoneNumberSelected()

### setUSPhoneNumberSelected

    public void setUSPhoneNumberSelected(boolean b)

### isCustomFormatStringSelected

    public boolean isCustomFormatStringSelected()

### init

    public void init(java.util.HashMap initValues)

  Overrides:
    `init` in class `DCDefBase`

### getXMLElementTag

    public java.lang.String getXMLElementTag()

  Specified by:
    `getXMLElementTag` in class `DCDefBase`

### retrieveFromXML

    protected void retrieveFromXML(oracle.jbo.mom.xml.DefElement xmlElement,
                                   java.util.HashMap valueTab)

  Overrides:
    `retrieveFromXML` in class `DCDefBase`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model Java API Reference 10g Release 3 (10.1.3) B25778-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.